Subject: SCSI patches - SEAGATE / TENEX CDROM bugfix
From: [email-masked] (Drew Eckhardt)
Date: 22 Jul 1993 20:56:56 -0400
Newsgroups: comp.os.linux.announce

I have a new set of diffs to the SCSI drivers.  Most important
is a bug fix for TENEX CDROM drives, although there are a few
other minor changes.

- I added support to the Seagate driver for "really slow" handshaking.
	Some devices, most notably Tenex CDROMs, would handshake
	too slowly for the pseudo-in-hardware handshaking of the 
	Seagate boards.  The Seagate driver would see a single
	REQ pulse as several, send too much data, and there would
	be overrun/timeout problems, etc.

	This is enabled with a per-device flag which is 
	set in scan_scsis according to the INQUIRY data.

- The Seagate driver now does propper arbitration.

- kernel/blk_drv/Makefile no longer does strange things with
	the macro defining the number of SCSI hosts.

- I added a constants.c file, with various print functions to
	the SCSI directory (ie, for sense, commands, status,
	messages).  Symbolic or numeric output can be selected
	as a compile time option to conserve kernel space.

Diffs are available from 

headrest.woz.colorado.edu:/pub/linux/diffs.99.11.shar.gz

Unshar this file in /kernel/blk_drv/scsi, and do a patch -p0 < diffs

-- 
Boycott USL/Novell for their absurd anti-BSDI lawsuit. | 
Condemn Colorado for Amendment Two.		       | Drew Eckhardt
Use Linux, the fast, flexible, and free 386 unix       | [email-masked] 
Will administer Unix for food                          |

-- 
Send submissions for comp.os.linux.announce to: [email-masked]